//tag规则 release-v188.11.*
const TaskBase = require("../../task.base");
const system = require("../../../system");
var settings = require("../../../../config/settings");
class TmtransactionTask extends TaskBase {
  constructor() {
    super(TaskBase.getServiceName(TmtransactionTask));
    this.restclient = system.getObject("util.restClient");
    this.centerChannelUrl = settings.centerChannelUrl();
  }
  async beforeTask(params) {
    console.log("前置操作......", this.serviceName);
  }
  async subDoTask() {
    console.log("--------------");
    console.log("queryTradeProduceList.....");
    var obj = {
      "actionType": "queryTradeProduceList",
      "actionBody": {
      }
    }
    try {
      var url = this.centerChannelUrl + "web/opaction/tmOrderCall/springBoard";
      var transferinfo = await this.restclient.execPost(obj, url);
      console.log(rtn);
      return rtn;
    } catch (error) {
      console.log(error);
      return null;
    }
  }
}
module.exports = TmtransactionTask;